org.apache.poi.ss.formula.functions

## Class Sumx2py2

- java.lang.Object
- - org.apache.poi.ss.formula.functions.Fixed2ArgFunction
  - - org.apache.poi.ss.formula.functions.XYNumericFunction
    - - org.apache.poi.ss.formula.functions.Sumx2py2

- All Implemented Interfaces:
    Function, Function2Arg

      public final class Sumx2py2
      extends XYNumericFunction

  Implementation of Excel function SUMX2PY2()

  Calculates the sum of squares in two arrays of the same size.
  Syntax:
  SUMX2PY2(arrayX, arrayY)

  result = Σi: 0..n(xi2+yi2)

  Author:
    Amol S. Deshmukh < amolweb at ya hoo dot com >

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ss.formula.functions.XYNumericFunction

      `XYNumericFunction.Accumulator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sumx2py2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected XYNumericFunction.Accumulator` | `createAccumulator()` Constructs a new instance of the Accumulator used to calculated this function

    - ### Methods inherited from class org.apache.poi.ss.formula.functions.XYNumericFunction

      `evaluate`

    - ### Methods inherited from class org.apache.poi.ss.formula.functions.Fixed2ArgFunction

      `evaluate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sumx2py2

          public Sumx2py2()

  - ### Method Detail

    - #### createAccumulator

          protected XYNumericFunction.Accumulator createAccumulator()

      Description copied from class: `XYNumericFunction`
      Constructs a new instance of the Accumulator used to calculated this function
      Specified by:
        `createAccumulator` in class `XYNumericFunction`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.